#include <winsock.h>
#include <stdio.h>

int
initWS(int maj, int min)
{
    WSADATA wsaData;
    WORD ver = MAKEWORD(maj,min);
    int err;

    ZeroMemory(&wsaData,sizeof(wsaData));

    err = WSAStartup( ver, &wsaData);
    if (err != 0) {
	fprintf(stderr, "WS init error: %d\n", err);
	return (-1);
    }
    if ( HIBYTE( wsaData.wVersion ) != maj ||
         LOBYTE( wsaData.wVersion ) != min ) {
	fprintf(stderr, "Unable to load requested version (%d,%d); got (%d,%d)\n", 
		maj,min,HIBYTE(wsaData.wVersion), LOBYTE(wsaData.wVersion));
	WSACleanup();
	return (-1);
    }
    return 0;
}

